Subject: [T2TRG] Fwd: New Version Notification for draft-koster-t2trg-hsml-00.txt

From: Michael Koster <[email-masked]>
Date: Fri, 29 Jul 2016 14:09:24 -0700

I have submitted an internet draft for T2TRG describing the HSML media type for hypermedia based machine interaction.

HSML combines and extends data models from SenML and CoRE Link-Format, and defines an abstract transfer layer + interaction model.

This is a standalone version and ongoing update of the "Hypermedia Collection" work that was removed from the CoRE Interfaces document.

Best regards,

Michael

https://datatracker.ietf.org/doc/draft-koster-t2trg-hsml/ <https://datatracker.ietf.org/doc/draft-koster-t2trg-hsml/>

https://tools.ietf.org/html/draft-koster-t2trg-hsml-00 <https://tools.ietf.org/html/draft-koster-t2trg-hsml-00>

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-koster-t2trg-hsml-00.txt
> Date: July 29, 2016 at 1:50:20 PM PDT
> To: "Michael Koster" <[email-masked]>
> 
> 
> A new version of I-D, draft-koster-t2trg-hsml-00.txt
> has been successfully submitted by Michael Koster and posted to the
> IETF repository.
> 
> Name:		draft-koster-t2trg-hsml
> Revision:	00
> Title:		Media Types for Hypertext Sensor Markup
> Document date:	2016-07-29
> Group:		Individual Submission
> Pages:		48
> URL:            https://www.ietf.org/internet-drafts/draft-koster-t2trg-hsml-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-koster-t2trg-hsml/
> Htmlized:       https://tools.ietf.org/html/draft-koster-t2trg-hsml-00
> 
> 
> Abstract:
>   The scale and scope of the worldwide web has been in part driven by
>   the availability of HTML as a common serialization, data model, and
>   interaction model for structured resources on the web.  By contrast,
>   the general use of appropriate hypermedia techniques for machine
>   interfaces has been limited by the lack of a common markup format for
>   serialization and exchange of structured machine resources and
>   sensor/actuator data which includes or embeds standardized hypermedia
>   controls.  The IRTF Thing to Thing Research Group [T2TRG] has a
>   charter to investigate the use of REST design style [REST]for machine
>   interactions.  The W3C Web of Things Interest Group [W3C-WoT] are
>   investigating abstract hypermedia controls and interaction models for
>   machines.  Machine optimized content formats exist for web links
>   [RFC5988] [RFC6690] and for data items [I-D.ietf-core-senml].
> 
>   Structured data which contains both links and items is known as the
>   collection pattern.  This draft describes media types for
>   representation of machine resources structured as collections.  A
>   simple, reusable data model is described with a representation
>   format, using a well known set of keywords to expose hypermedia
>   controls, which inform clients how to perform state transfer
>   operations on resources.  The underlying assumptions regarding
>   transfer layer processing are specified in this document.  The HSML
>   media type described in this document is compatible with SenML and
>   CoRE Link-format by reusing the keyword identifiers and element
>   structures from these content formats.  Representations of HSML
>   document content may be obtained in CoRE Link-Format and SenML
>   content formats.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>